[PUP-3611] Implement install_options for nim package provider Created: 2014/11/03  Updated: 2020/03/04

Status: Accepted
Project: Puppet
Component/s: Types and Providers
Affects Version/s: PUP 3.4.2
Fix Version/s: None

Type: Improvement Priority: Minor
Reporter: Ruediger Mueck Assignee: Unassigned
Resolution: Unresolved Votes: 1
Labels: aix, package, platform-os, type_and_provider
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

AIX 7100-03-03 6100-02-09


Template:
Acceptance Criteria:
  • Can pass install_options parameters to nim provider.
Team: Night's Watch
Story Points: 3
QA Contact: Eric Thompson

 Description   

The NIM provider has enough divergence from other package providers that it would be helpful to have support for an install_options hash, similar to gem, pip, and windows.

Original description:
The NIM package provider is missing a parameter for installp_bundle.
It would be very helpful in many cases to install lpp_sources and specify
with -a installp_bundle=yyyyyyy only a subset of the whole lpp_source.


Generated at Sun Jul 12 22:28:40 PDT 2020 using Jira 8.5.2#805002-sha1:a66f9354b9e12ac788984e5d84669c903a370049.